Subject: Re: Parsing *.EXE.core files
From: [email-masked] (Christopher G. Faylor)

8 Jun 1998 22:52:52 GMT
Message-ID: <[email-masked]>
References: <199806081257.IAA28432.cygnus.gnu-win32@monty>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <199806081257.IAA28432.cygnus.gnu-win32@monty>,
David Bush <[email-masked]> wrote:
>I am looking at building a tool to parse the "core" file produced by
>Cygwin on a crash with the idea of convertnig some of the addresses to
>symbolic locations.  I have two questions:
>1. Has anyone else looke into this?  I'd be happy to collaborate if work
>   is under way.
>2. Does anyone know how to get GDB to erturn a source line number ginve
>   an address.  I've looked at disassemble, but that does not give
>   line numbers.

It's funny that I was just talking with a Cygnus gdb developer today.
We were trying to figure out exactly how to do this but didn't come
to a conclusion.  He did point me in the direction of the maintenance
command, however.

Also notice that the command "p/a some-number" will print the name
of a symbol plus some offset.  It's still not the line number but
it is slightly more useful.

Finally, you might investigate the nm command.  It can dump all sorts
of information about the symbol table.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada